//
//  Series_quizzViewController.m
//  Series quizz
//
//  Created by Djoko on 02/03/12.
//  Copyright 2012 __MyCompanyName__. All rights reserved.
//

#import "Series_quizzViewController.h"
#import "Series_quizzAppDelegate.h"
#import "Detail.h"

@implementation Series_quizzViewController

Detail* detail_view;

@synthesize Liste;
@synthesize Data;
@synthesize InfosImage;
@synthesize Howto1;
@synthesize Howto2;
@synthesize Howto3;
@synthesize Howto4;
@synthesize BtPLAY;
@synthesize Blanc;
@synthesize InfosText;

-(IBAction)Infos:(id)sender
{
	InfosImage.hidden = !InfosImage.hidden;
	InfosText.hidden = !InfosText.hidden;
}

-(IBAction)GotoHowto2:(id)sender
{
    Howto1.hidden = YES;
    Howto2.hidden = NO;
}

-(IBAction)GotoHowto3:(id)sender
{
    Howto2.hidden = YES;
    Howto3.hidden = NO;
}

-(IBAction)GotoHowto4:(id)sender
{
    Howto3.hidden = YES;
    Howto4.hidden = NO;
}

-(IBAction)Play:(id)sender
{
    Howto1.hidden = YES;
    Howto2.hidden = YES;
    Howto3.hidden = YES;
    Howto4.hidden = YES;
    BtPLAY.hidden = YES;
    Blanc.hidden = YES;
}

#pragma mark -
#pragma mark Table View Data Source Methods

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
	return [self.Data count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
	
	static NSString *SimpleTableIdentifier = @"SimpleTableIdentifier";
	UITableViewCell *cell = [tableView
							 dequeueReusableCellWithIdentifier:SimpleTableIdentifier];
	if (cell == nil)
	{
		cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:@"MyIdentifier"] autorelease];
        cell.selectionStyle = UITableViewCellSelectionStyleGray;
	}
	
	NSUInteger row = [indexPath row];
	cell.textLabel.text = [[Data objectAtIndex:row]objectAtIndex:0];
	cell.detailTextLabel.text = [[Data objectAtIndex:row]objectAtIndex:1];
	cell.accessoryType = UITableViewCellAccessoryNone;
	
	return cell;	 
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
	NSUInteger row = [indexPath row];
	[detail_view setLigne:row];
	InfosImage.hidden = YES;
	InfosText.hidden = YES;
	[self presentModalViewController:detail_view animated:YES];
	
}


/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/

-(void)viewDidAppear:(BOOL)animated
{
	[Liste reloadData];
}

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
	InfosImage.hidden = YES;
	InfosText.hidden = YES;
	
	Data = [[NSMutableArray alloc]init];
	[Data addObject:[NSArray arrayWithObjects:@"1, 3, 5, 7, 9", @"logic", @"11", @"odd", nil]];
	[Data addObject:[NSArray arrayWithObjects:@"2, 3, 5, 7, 11", @"logic", @"13", @"prime number", nil]];
	[Data addObject:[NSArray arrayWithObjects:@"(3), 1, 4, 1, 5, 9", @"knowledge", @"2", @"pi = 3,141 592 653 589 793 238 462 643 383 279 502 884 197 169 399 375 105 820 974 944 592 307 816 406 286 208 998 628 034 825 342 117 067 ..." ,nil]];
	
    [Data addObject:[NSArray arrayWithObjects:@"39, 52, 65, 78, 91", @"logic", @"104", @"multiple of 13", nil]];
	[Data addObject:[NSArray arrayWithObjects:@"000, 001, 010, 011, 100", @"logic", @"101", @"count in binary", nil]];
	[Data addObject:[NSArray arrayWithObjects:@"2, 3, 4, 5, 6, 7, 8, 9, 20", @"logic", @"22", @"I don't like number 1", nil]];
	[Data addObject:[NSArray arrayWithObjects:@"(2), 7, 1, 8", @"knowledge", @"2", @"e = 2,718 281 828 459 045 235 360 287 471 352 662 497 757 247 093 699 959 574 966 967 627 724 076 630 353 547 594 571 382 178 525 166 427 ...", nil]];
    [Data addObject:[NSArray arrayWithObjects:@"1, 2, 3, 10, 11, 12, 13", @"logic", @"20", @"base 3", nil]];
	[Data addObject:[NSArray arrayWithObjects:@"1, 1, 2, 3, 5, 8, 13", @"logic/knowledge", @"21", @"add two numbers (Fibonacci)", nil]];
	[Data addObject:[NSArray arrayWithObjects:@"1, 11, 21, 1211, 111221, 312211", @"logic/knowledge", @"13112221", @"Conway Serie or LOOK-and-SAY sequence", nil]];
    
	[Data addObject:[NSArray arrayWithObjects:@"2812, 2912, 3012, 3112, 0101, 0201", @"logic", @"0301", @"The new year was 2 days ago", nil]];
	[Data addObject:[NSArray arrayWithObjects:@"1, 2, 4, 8, 16, 32", @"logic", @"64", @"power of 2", nil]];
	[Data addObject:[NSArray arrayWithObjects:@"131, 137, 139, 149, 151, 157, 163, 167", @"knowledge/logic", @"173", @"prime number", nil]];
	[Data addObject:[NSArray arrayWithObjects:@"01, 0110, 01101001, 0110100110010110", @"logic", @"01101001100101101001011001101001", @"0<=01 1<=10 (Thue-Morse)", nil]];
	
    [Data addObject:[NSArray arrayWithObjects:@"1, 2, 3, 5, 6, 7, 9, 10, 11", @"logic", @"13", @"I don't like multiple of 4", nil]];
    
	
	Series_quizzAppDelegate * appDelegate = (Series_quizzAppDelegate *)[[UIApplication sharedApplication] delegate];
	appDelegate.Data = [Data copy];
	
	detail_view = [[Detail alloc] initWithNibName:nil bundle:nil];
	detail_view.modalTransitionStyle = UIModalTransitionStyleCrossDissolve;
	
    [super viewDidLoad];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
//	[Data release];
    [super dealloc];
}

@end
