//
//  Detail.m
//  Series quizz
//
//  Created by Djoko on 02/03/12.
//  Copyright 2012 __MyCompanyName__. All rights reserved.
//

#import "Detail.h"
#import "Series_quizzAppDelegate.h"


@implementation Detail
@synthesize Data;
@synthesize Question, Categorie, Compte;
@synthesize Champs;
@synthesize Reponse;

int ligne, compteTotal, compteBon, CompteAide;
BOOL AsAlreadyDisplayHelp;

-(IBAction)back:(id)sender
{
	[self dismissModalViewControllerAnimated:NO];
}

-(IBAction)help:(id)sender
{
	UIAlertView *help = [[UIAlertView alloc]initWithTitle:@"infos"
												  message:[[Data objectAtIndex:ligne] objectAtIndex:3]
												 delegate:nil
										cancelButtonTitle:@"Thanks"
										otherButtonTitles:nil];
	[help show];
	[help release];
	if(!AsAlreadyDisplayHelp)
	{
		CompteAide++;
		AsAlreadyDisplayHelp = YES;
	}
	[self refreshCompte];
}

-(void)refreshCompte
{
	Compte.text = [NSString stringWithFormat:@"%d/%d    %d ?", compteBon, compteTotal, CompteAide];
}

-(void)setLigne:(int)Vligne
{
	ligne = Vligne;
}

-(IBAction)valider:(id)sender
{
	[Champs resignFirstResponder];
	if([ Champs.text isEqualToString:[[Data objectAtIndex:ligne] objectAtIndex:2] ])
	{
		Reponse.hidden = YES;
		compteBon++;
		if(ligne<[Data count]-1)
		{
			ligne++;
			AsAlreadyDisplayHelp = NO;
			[self refreshView];
		}
		else
		{
			UIAlertView* fin = [[UIAlertView alloc]initWithTitle:@"This is the end"
														 message:@"Congratulations"
														delegate:nil
											   cancelButtonTitle:@"OK"
											   otherButtonTitles:nil];
			[fin show];
			[fin release];
		}
	}
	else
	{
		Reponse.hidden = NO;
	}
	Champs.text = @"";
	compteTotal++;
	[self refreshCompte];
}

// The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
/*
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization.
    }
    return self;
}
*/


-(void)viewDidAppear:(BOOL)animated
{
	Reponse.hidden = YES;
	compteTotal = 0;
	compteBon = 0;
	CompteAide = 0;
	AsAlreadyDisplayHelp = NO;
	[self refreshView];
	[self refreshCompte];
}

-(void)refreshView
{
	Question.text = [[Data objectAtIndex:ligne] objectAtIndex:0];
	Categorie.text = [[Data objectAtIndex:ligne] objectAtIndex:1];
}

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
	[self.Champs setDelegate:self];
    [self.Champs addTarget:self
				   action:@selector(textFieldFinished:)
		 forControlEvents:UIControlEventEditingDidEndOnExit];
	
	Series_quizzAppDelegate * appDelegate = (Series_quizzAppDelegate *)[[UIApplication sharedApplication] delegate];
	Data = appDelegate.Data;
    [super viewDidLoad];
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations.
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
//	[Data release];
    [super dealloc];
}


@end
